/*******************************************************************************
* File Name: Anode.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Anode_H) /* Pins Anode_H */
#define CY_PINS_Anode_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Anode_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Anode__PORT == 15 && ((Anode__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Anode_Write(uint8 value);
void    Anode_SetDriveMode(uint8 mode);
uint8   Anode_ReadDataReg(void);
uint8   Anode_Read(void);
void    Anode_SetInterruptMode(uint16 position, uint16 mode);
uint8   Anode_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Anode_SetDriveMode() function.
     *  @{
     */
        #define Anode_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Anode_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Anode_DM_RES_UP          PIN_DM_RES_UP
        #define Anode_DM_RES_DWN         PIN_DM_RES_DWN
        #define Anode_DM_OD_LO           PIN_DM_OD_LO
        #define Anode_DM_OD_HI           PIN_DM_OD_HI
        #define Anode_DM_STRONG          PIN_DM_STRONG
        #define Anode_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Anode_MASK               Anode__MASK
#define Anode_SHIFT              Anode__SHIFT
#define Anode_WIDTH              1u

/* Interrupt constants */
#if defined(Anode__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Anode_SetInterruptMode() function.
     *  @{
     */
        #define Anode_INTR_NONE      (uint16)(0x0000u)
        #define Anode_INTR_RISING    (uint16)(0x0001u)
        #define Anode_INTR_FALLING   (uint16)(0x0002u)
        #define Anode_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Anode_INTR_MASK      (0x01u) 
#endif /* (Anode__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Anode_PS                     (* (reg8 *) Anode__PS)
/* Data Register */
#define Anode_DR                     (* (reg8 *) Anode__DR)
/* Port Number */
#define Anode_PRT_NUM                (* (reg8 *) Anode__PRT) 
/* Connect to Analog Globals */                                                  
#define Anode_AG                     (* (reg8 *) Anode__AG)                       
/* Analog MUX bux enable */
#define Anode_AMUX                   (* (reg8 *) Anode__AMUX) 
/* Bidirectional Enable */                                                        
#define Anode_BIE                    (* (reg8 *) Anode__BIE)
/* Bit-mask for Aliased Register Access */
#define Anode_BIT_MASK               (* (reg8 *) Anode__BIT_MASK)
/* Bypass Enable */
#define Anode_BYP                    (* (reg8 *) Anode__BYP)
/* Port wide control signals */                                                   
#define Anode_CTL                    (* (reg8 *) Anode__CTL)
/* Drive Modes */
#define Anode_DM0                    (* (reg8 *) Anode__DM0) 
#define Anode_DM1                    (* (reg8 *) Anode__DM1)
#define Anode_DM2                    (* (reg8 *) Anode__DM2) 
/* Input Buffer Disable Override */
#define Anode_INP_DIS                (* (reg8 *) Anode__INP_DIS)
/* LCD Common or Segment Drive */
#define Anode_LCD_COM_SEG            (* (reg8 *) Anode__LCD_COM_SEG)
/* Enable Segment LCD */
#define Anode_LCD_EN                 (* (reg8 *) Anode__LCD_EN)
/* Slew Rate Control */
#define Anode_SLW                    (* (reg8 *) Anode__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Anode_PRTDSI__CAPS_SEL       (* (reg8 *) Anode__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Anode_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Anode__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Anode_PRTDSI__OE_SEL0        (* (reg8 *) Anode__PRTDSI__OE_SEL0) 
#define Anode_PRTDSI__OE_SEL1        (* (reg8 *) Anode__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Anode_PRTDSI__OUT_SEL0       (* (reg8 *) Anode__PRTDSI__OUT_SEL0) 
#define Anode_PRTDSI__OUT_SEL1       (* (reg8 *) Anode__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Anode_PRTDSI__SYNC_OUT       (* (reg8 *) Anode__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Anode__SIO_CFG)
    #define Anode_SIO_HYST_EN        (* (reg8 *) Anode__SIO_HYST_EN)
    #define Anode_SIO_REG_HIFREQ     (* (reg8 *) Anode__SIO_REG_HIFREQ)
    #define Anode_SIO_CFG            (* (reg8 *) Anode__SIO_CFG)
    #define Anode_SIO_DIFF           (* (reg8 *) Anode__SIO_DIFF)
#endif /* (Anode__SIO_CFG) */

/* Interrupt Registers */
#if defined(Anode__INTSTAT)
    #define Anode_INTSTAT            (* (reg8 *) Anode__INTSTAT)
    #define Anode_SNAP               (* (reg8 *) Anode__SNAP)
    
	#define Anode_0_INTTYPE_REG 		(* (reg8 *) Anode__0__INTTYPE)
#endif /* (Anode__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Anode_H */


/* [] END OF FILE */
